Bug 1553308 - Undefined method `vmm_version' for nil:NilClass on VM summary screen
Summary: Undefined method `vmm_version' for nil:NilClass on VM summary screen
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.4
Assignee: Brian McLaughlin
QA Contact: Matouš Mojžíš
URL:
Whiteboard:
Keywords: ZStream
Depends On: 1548073
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-08 16:29 UTC by Satoe Imaishi
Modified: 2018-06-25 14:18 UTC (History)
6 users (show)

(edit)
Clone Of: 1548073
(edit)
Last Closed: 2018-06-25 14:18:18 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1972 None None None 2018-06-25 14:18 UTC

Comment 2 CFME Bot 2018-04-10 01:28:13 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:

https://github.com/ManageIQ/manageiq-ui-classic/commit/922fcbae14f569d7f2ec765817cdf841ed1034f8
commit 922fcbae14f569d7f2ec765817cdf841ed1034f8
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Fri Feb 23 13:28:38 2018 -0500
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Fri Feb 23 13:28:38 2018 -0500

    Merge pull request #3457 from bmclaughlin/fix-random-nil-error-on-vm-summary

    Fix nil:nilClass error on VM summary
    (cherry picked from commit d1062390b0cc59f37456a07a4dd0be25f9dd4d6c)

    https://bugzilla.redhat.com/show_bug.cgi?id=1553308

 app/helpers/application_helper/button/vm_vnc_console.rb | 3 +-
 app/helpers/application_helper/button/vm_webmks_console.rb | 3 +-
 spec/helpers/application_helper/buttons/vm_vnc_console_spec.rb | 5 +
 spec/helpers/application_helper/buttons/vm_webmks_console_spec.rb | 6 +
 4 files changed, 15 insertions(+), 2 deletions(-)

Comment 4 Matouš Mojžíš 2018-05-23 15:33:08 UTC
Brian,

I tried to reproduce it, but without a chance.
I deleted all the hosts from my appliance and then accessed VM with no issues.
I need to know how I can have VM without host to reproduce this issue.

Thanks.

Comment 5 Brian McLaughlin 2018-05-23 20:06:32 UTC
I originally reproduced this using a demo database that Dan C. provided and randomly found a VM that threw the error.  I didn't have any luck reproducing it using the same steps in about 2 hours yesterday and will try again later.  I'll send you an email with the location of the database I'm referencing above.

Comment 6 Matouš Mojžíš 2018-06-21 16:06:11 UTC
Okay,
I couldn't reproduce it anyway.
Restored demo database, clicked through many of VMs and didn't encounter this issue.

Comment 8 errata-xmlrpc 2018-06-25 14:18:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1972


Note You need to log in before you can comment on or make changes to this bug.